View Issue Details

IDProjectCategoryView StatusLast Update
0002594unrealinstallingpublic2005-07-25 17:59
Reporterwheatie80Assigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSFedora CoreOS Version4
Product Version3.2.3 
Target VersionFixed in Version3.2.4 
Summary0002594: Compile error with gcc-4.0.0-8 & IPv6
DescriptionThe new version of fedora comes out of the box installed with gcc4 which appears ( on my machine anyways ) to break the compile process on Unreal 3.2.3. The following is what I get after sucessfully running ./Config



[irc@hera aircd]$ make
Building src
make[1]: Entering directory `/home/irc/aircd/src'
gcc -I../include -I/home/irc/aircd/extras/regexp/include -pipe -g -O2 -funsigned
-char -DZIP_LINKS -export-dynamic -c auth.c
In file included from ../include/common.h:46,
                 from ../include/struct.h:43,
                 from auth.c:21:
../include/sys.h:195: error: static declaration of âin6addr_anyâ follows non-sta
tic declaration
/usr/include/netinet/in.h:206: error: previous declaration of âin6addr_anyâ was
here
auth.c: In function âauthcheck_md5â:
auth.c:229: warning: pointer targets in passing argument 1 of âDoMD5â differ in
signedness
auth.c:229: warning: pointer targets in passing argument 2 of âDoMD5â differ in
signedness
auth.c:230: warning: pointer targets in passing argument 1 of âb64_encodeâ diffe
r in signedness
auth.c:246: warning: pointer targets in passing argument 2 of âb64_decodeâ diffe
r in signedness
auth.c:251: warning: pointer targets in passing argument 1 of âDoMD5â differ in
signedness
auth.c:251: warning: pointer targets in passing argument 2 of âDoMD5â differ in
signedness
auth.c:257: warning: pointer targets in passing argument 1 of âDoMD5â differ in
signedness
auth.c:257: warning: pointer targets in passing argument 2 of âDoMD5â differ in
signedness
auth.c:260: warning: pointer targets in passing argument 1 of âb64_encodeâ diffe
r in signedness
auth.c: In function âauthcheck_sha1â:
auth.c:298: warning: pointer targets in passing argument 2 of âb64_decodeâ diffe
r in signedness
auth.c:311: warning: pointer targets in passing argument 1 of âSHA1_Finalâ diffe
r in signedness
auth.c:325: warning: pointer targets in passing argument 1 of âSHA1_Finalâ diffe
r in signedness
auth.c:334: warning: pointer targets in passing argument 1 of âb64_encodeâ diffe
r in signedness
auth.c:345: warning: pointer targets in passing argument 1 of âSHA1â differ in s
ignedness
auth.c: In function âauthcheck_ripemd160â:
auth.c:399: warning: pointer targets in passing argument 2 of âb64_decodeâ diffe
r in signedness
auth.c:406: warning: pointer targets in passing argument 1 of âRIPEMD160_Finalâ
differ in signedness
auth.c:413: warning: pointer targets in passing argument 1 of âRIPEMD160_Finalâ
differ in signedness
auth.c:415: warning: pointer targets in passing argument 1 of âb64_encodeâ diffe
r in signedness
auth.c:425: warning: pointer targets in passing argument 1 of âRIPEMD160â differ
 in signedness
auth.c: In function âmkpass_md5â:
auth.c:553: warning: pointer targets in passing argument 1 of âb64_encodeâ diffe
r in signedness
auth.c:566: warning: pointer targets in passing argument 1 of âDoMD5â differ in
signedness
auth.c:566: warning: pointer targets in passing argument 2 of âDoMD5â differ in
signedness
auth.c:572: warning: pointer targets in passing argument 1 of âDoMD5â differ in
signedness
auth.c:572: warning: pointer targets in passing argument 2 of âDoMD5â differ in
signedness
auth.c:576: warning: pointer targets in passing argument 1 of âb64_encodeâ diffe
r in signedness
auth.c: In function âmkpass_sha1â:
auth.c:610: warning: pointer targets in passing argument 1 of âb64_encodeâ diffe
r in signedness
auth.c:631: warning: pointer targets in passing argument 1 of âSHA1_Finalâ diffe
r in signedness
auth.c:645: warning: pointer targets in passing argument 1 of âSHA1_Finalâ diffe
r in signedness
auth.c:655: warning: pointer targets in passing argument 1 of âb64_encodeâ diffe
r in signedness
auth.c: In function âmkpass_ripemd160â:
auth.c:684: warning: pointer targets in passing argument 1 of âb64_encodeâ diffe
r in signedness
auth.c:699: warning: pointer targets in passing argument 1 of âRIPEMD160_Finalâ
differ in signedness
auth.c:707: warning: pointer targets in passing argument 1 of âRIPEMD160_Finalâ
differ in signedness
auth.c:711: warning: pointer targets in passing argument 1 of âb64_encodeâ diffe
r in signedness
make[1]: *** [auth.o] Error 1
make[1]: Leaving directory `/home/irc/aircd/src'
make: *** [build] Error 2
[irc@hera aircd]$
Steps To ReproduceSimply running ./Config and then make reproduces this every time for me
TagsNo tags attached.
3rd party modulesnone

Relationships

related to 0002590 closed unreal crashes during link 

Activities

w00t

2005-07-23 03:01

reporter   ~0010238

Related to 2590 imo.

Stealth

2005-07-23 03:49

reporter   ~0010239

But this one has more info... not just "**** loads of warnings" and a pastebin link...

syzop

2005-07-23 22:27

administrator   ~0010241

Last edited: 2005-07-23 22:30

hm... how come I don't have this compile error with fedora core 4?
I get the warnings yes, but it compiles fine.

EXTRA INFO:
- exactly same gcc version (4.0.0-8)
- install from scratch

syzop

2005-07-25 16:09

administrator   ~0010252

ah... ipv6 :P

syzop

2005-07-25 17:59

administrator   ~0010254

Fixed in CVS.

Issue History

Date Modified Username Field Change
2005-07-19 18:47 wheatie80 New Issue
2005-07-19 18:47 wheatie80 3rd party modules => none
2005-07-23 03:01 w00t Note Added: 0010238
2005-07-23 03:49 Stealth Note Added: 0010239
2005-07-23 12:05 syzop Relationship added related to 0002590
2005-07-23 22:27 syzop Note Added: 0010241
2005-07-23 22:30 syzop Note Edited: 0010241
2005-07-25 16:09 syzop Note Added: 0010252
2005-07-25 16:10 syzop Status new => confirmed
2005-07-25 16:10 syzop Summary Compile error with gcc-4.0.0-8 => Compile error with gcc-4.0.0-8 & IPv6
2005-07-25 17:59 syzop Status confirmed => resolved
2005-07-25 17:59 syzop Fixed in Version => 3.2.4
2005-07-25 17:59 syzop Resolution open => fixed
2005-07-25 17:59 syzop Assigned To => syzop
2005-07-25 17:59 syzop Note Added: 0010254